#ifndef CSTR_H
#define CSTR_H

#include <string.h>

class MyString {
 public:
  MyString();
  explicit MyString(const char* a_c_string);
  MyString(const MyString& str);
  ~MyString();

  const char* c_string() const;
  size_t Length() const;
  void Set(const char* c_string);

 private:
  const char* c_string_;

  static const char* CloneCString(const char* a_c_string);

  const MyString& operator=(const MyString& rhs);
};

#endif  // CSTR_H
